#include "misc.h"

int shiverpos = 0;

void shiver(unsigned int tex, float a, float dodgyfix)
{
    poly_hdr_t poly;
    vertex_ot_t vert;
    int i;

    ta->poly_hdr_txr(&poly, TA_TRANSLUCENT, TA_RGB565_TWID, 512, 512, tex, TA_BILINEAR_FILTER);
    ta->commit_poly_hdr(&poly);
	
    for(i=0; i<120; i++) {
    
	vert.r = vert.g = vert.b = 1.0f;
	vert.a = a;
	vert.oa = vert.or = vert.ob = 0.0f;
	vert.flags = TA_VERTEX_NORMAL;
	
	vert.x = 1+16*SIN(shiverpos) - dodgyfix;
	vert.y = 1+i*4;
	vert.z = 0.011f;
	vert.u = 0.0;
	vert.v = i/120.0f;
	ta->commit_vertex(&vert, sizeof(vert));
	
	vert.x = 640+16*SIN(shiverpos) + dodgyfix;
	vert.y = 1+i*4;
	vert.z = 0.011f;
	vert.u = 1.0;
	vert.v = i/120.0f;
	ta->commit_vertex(&vert, sizeof(vert));
	
	vert.x = 1+16*SIN(shiverpos) - dodgyfix;
	vert.y = 1+(i+1)*4;
	vert.z = 0.011f;
	vert.u = 0.0;
	vert.v = (i+1)/120.0f;
	ta->commit_vertex(&vert, sizeof(vert));
	
	vert.x = 640+16*SIN(shiverpos) + dodgyfix;
	vert.y = 1+(i+1)*4;
	vert.z = 0.011f;
	vert.u = 1.0;
	vert.v = (i+1)/120.0f;
	vert.flags = TA_VERTEX_EOL;
	ta->commit_vertex(&vert, sizeof(vert));

	shiverpos += 16;
    }

}
